Loading...
Searching...
No Matches
Discord Channel Types

## Variables

const | DiscordRestClient::DCT_ANNOUNCEMENT_THREAD = 10
| a temporary sub-channel within a `GUILD_ANNOUNCEMENT` channel
const | DiscordRestClient::DCT_DM = 1
| a direct message between users
const | DiscordRestClient::DCT_GROUP_DM = 3
| a direct message between multiple users
const | DiscordRestClient::DCT_GUILD_ANNOUNCEMENT = 5
| a channel that users can follow and crosspost into their own server (formerly news channels)
const | DiscordRestClient::DCT_GUILD_CATEGORY = 4
| an organizational category that contains up to 50 channels
const | DiscordRestClient::DCT_GUILD_DIRECTORY = 14
| the channel in a hub containing the listed servers
const | DiscordRestClient::DCT_GUILD_FORUM = 15
| Channel that can only contain threads.
const | DiscordRestClient::DCT_GUILD_MEDIA = 16
| Channel that can only contain threads, similar to `GUILD_FORUM` channels.
const | DiscordRestClient::DCT_GUILD_STAGE_VOICE = 13
| a voice channel for hosting events with an audience
const | DiscordRestClient::DCT_GUILD_TEXT = 0
const | DiscordRestClient::DCT_GUILD_VOICE = 2
| a voice channel within a server
const | DiscordRestClient::DCT_PRIVATE_THREAD = 12
| a temporary sub-channel within a GUILD_TEXT channel
const | DiscordRestClient::DCT_PUBLIC_THREAD = 11
| a temporary sub-channel within a `GUILD_TEXT` or `GUILD_FORUM` channel

## Detailed Description

## Variable Documentation

## DCT_GUILD_TEXT

const DiscordRestClient::DCT_GUILD_TEXT = 0

a text channel within a server

## DCT_PRIVATE_THREAD

const DiscordRestClient::DCT_PRIVATE_THREAD = 12

a temporary sub-channel within a GUILD_TEXT channel

Only viewable by those invited and those with the `MANAGE_THREADS` permission